
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class ClassUtils {

//~ ============================================= Static fields/initializers

    private static final Log logger = LogFactory.getLog(ClassUtils.class);

//~ ======================================================== Instance fields

//~ =========================================================== Constructors

//~ ============================================================= Properties

//~ ================================================================ Methods

    public static ClassLoader getDefaultClassLoader() {
        ClassLoader cl = null;
        try {
            cl = Thread.currentThread().getContextClassLoader();
        } catch (Throwable ex) {
            logger.debug("Cannot access thread context ClassLoader - falling back to system class loader", ex);
        }
        if (cl == null) {
            // No thread context class loader -> use class loader of this class.
            cl = ClassUtils.class.getClassLoader();
        }
        return cl;
    }
}
